[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.Lookup

Is the field a lookup field

## Declaration

Source position: db.pas line 410

`public property TField.Lookup: Boolean read GetLookup write SetLookup;`

## Description

Lookup is True if the FieldKind equals fkLookup, False otherwise. Setting the Lookup property will switch the FieldKind between the fkLookup and fkData.

## See also

TField.FieldKind |  | The kind of field.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.